<?php
function genRandomString($len) 
{ 
    $chars = array( 
        "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k",  
        "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v",  
        "w", "x", "y", "z", "A", "B", "C", "D", "E", "F", "G",  
        "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R",  
        "S", "T", "U", "V", "W", "X", "Y", "Z", "0", "1", "2",  
        "3", "4", "5", "6", "7", "8", "9" 
    ); 
    $charsLen = count($chars) - 1; 
 
    shuffle($chars);    // 将数组打乱 
     
    $output = ""; 
    for ($i=0; $i<$len; $i++) 
    { 
        $output .= $chars[mt_rand(0, $charsLen)]; 
    } 
 
    return $output; 
 
}
// your user key
if (!file_exists('content/setting/img_key.php')){
	file_put_contents('content/setting/img_key.php','<?php $userkey = "'.genRandomString(rand(6,12)).'"; ?>');
	}
@include 'content/setting/img_key.php';

// returns parameters
function Str2Hex($string){
    $hex='';
    for ($i=0; $i < strlen($string); $i++){
        $hex .= dechex(ord($string[$i]));
    }
    return $hex;
}
    function imgParams($text, $size=null, $font=null,$color=null){
        global $userkey;
        $p = '?text='.Str2Hex(urlencode($text)).
             (!is_null($font)?'&size='.$size:'').
             (!is_null($font)?'&font='.$font:'').
             (!is_null($color)?'&color='.$color:'').
             '&a=';
        return $p.md5($userkey.$text.$size.$color.$font);
    }
?>
